Summary:	GNU RTP stack for the zrtp protocol specification
Summary(pl.UTF-8):	Stos GNU RTP dla specyfikacji protokołu zrtp
Name:		libzrtpcpp
Version:	2.3.4
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	3aac59472c5649736e24de30080e2efd
URL:		http://www.gnu.org/software/ccrtp/
BuildRequires:	cmake >= 2.6
BuildRequires:	ccrtp-devel >= 2.0.0
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	ccrtp >= 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.

%description -l pl.UTF-8
Ta biblioteka jest licencjonowanym na GPL rozszerzeniem stosu GNU RTP
- ccrtp - oferującym kompatybilność z szyfrowaniem głosu zrtp/Zfont
Phila Zimmermanna i mogącym być bezpośrednio włączone do aplikacji
telefonicznych.

%package devel
Summary:	Header files for libzrtpcpp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libzrtpcpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ccrtp-devel >= 2.0.0
Requires:	openssl-devel >= 0.9.8
Requires:	libstdc++-devel
Obsoletes:	libzrtpcpp-static

%description devel
Header files for libzrtpcpp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libzrtpcpp.

%prep
%setup -q

%{__sed} -i -e '/set(CMAKE_VERBOSE_MAKEFILE FALSE)/d' CMakeLists.txt

%build
%cmake .
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libzrtpcpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzrtpcpp.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzrtpcpp.so
%{_includedir}/libzrtpcpp
%{_pkgconfigdir}/libzrtpcpp.pc
%changelog
* Wed Jul 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libzrtpcpp.git;a=log;h=master

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e16fe8c
- updated to 2.3.4 (some vulnerability fixes)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> f47a531
- updated to 2.3.3

* Sun Nov 25 2012 Jakub Bogusz <qboosh@pld-linux.org> 0901813
- updated to 2.3.2

* Tue Jan 03 2012 Jakub Bogusz <qboosh@pld-linux.org> d4a1b70
- updated to 2.0.0
- removed obsolete build patch
- project has switched to cmake; -static is gone

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 631af82
- up to 1.4.3

* Fri Feb 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 98ab741
- updated

* Fri Dec 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> b77e03f
- update

* Fri Dec 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> df42e87
- up to 1.4.1

* Sat Aug 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 97d2552
- unified ftp.gnu.org URL

* Sat Aug 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d91cb77
- release 2

* Sat Aug 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 37afb10
- more fixes

* Sat Aug 23 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d5433ed
- up to 1.3.0

* Tue Apr 08 2008 Elan Ruusamäe <glen@pld-linux.org> ea4400f
- unify ftp.gnu.org urls

* Tue Jan 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 7a2e47e
- more BRs and devel deps
- more verbose files, ghost soname symlink
- GPL v3 now

* Wed Jan 23 2008 Jakub Bogusz <qboosh@pld-linux.org> d7a8f1d
- BR: ac,am,lt

* Wed Jan 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4166362
- fix build

* Wed Jan 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a5bba80
- up to 1.0.0

* Mon Jan 07 2008 Elan Ruusamäe <glen@pld-linux.org> 89f1bde
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 86f279e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c08749b
- converted to UTF-8

